grst_asn1.c File Reference

## Functions

time_t | GRSTasn1TimeToTimeT (const unsigned char *asn1time, size_t len)
| ASN1 time string (in a char *) to time_t.
int | GRSTasn1SearchTaglist (struct GRSTasn1TagList taglist[], int lasttag, char *treecoords)
int | GRSTasn1ParseDump (BIO *bp, const unsigned char *pp, long len, struct GRSTasn1TagList taglist[], int maxtag, int *lasttag)
int | GRSTasn1GetField (int index, char *coords, const unsigned char *asn1string, struct GRSTasn1TagList taglist[], int lasttag, ASN1_OBJECT **field_obj, int *field_index)
int | GRSTasn1GetX509Name (char *x509name, int maxlength, char *coords, const unsigned char *asn1string, struct GRSTasn1TagList taglist[], int lasttag)
int | GRSTasn1FindField (const char *oid, char *coords, const unsigned char *asn1string, struct GRSTasn1TagList taglist[], int lasttag, int *result)

## Function Documentation

## GRSTasn1FindField()

int GRSTasn1FindField | ( | const char * | oid,
|  | char * | coords,
|  | const unsigned char * | asn1string,
|  | struct GRSTasn1TagList | taglist[],
|  | int | lasttag,
|  | int * | result )

## GRSTasn1GetField()

int GRSTasn1GetField | ( | int | index,
|  | char * | coords,
|  | const unsigned char * | asn1string,
|  | struct GRSTasn1TagList | taglist[],
|  | int | lasttag,
|  | ASN1_OBJECT ** | field_obj,
|  | int * | field_index )

## GRSTasn1GetX509Name()

int GRSTasn1GetX509Name | ( | char * | x509name,
|  | int | maxlength,
|  | char * | coords,
|  | const unsigned char * | asn1string,
|  | struct GRSTasn1TagList | taglist[],
|  | int | lasttag )

## GRSTasn1ParseDump()

int GRSTasn1ParseDump | ( | BIO * | bp,
|  | const unsigned char * | pp,
|  | long | len,
|  | struct GRSTasn1TagList | taglist[],
|  | int | maxtag,
|  | int * | lasttag )

## GRSTasn1SearchTaglist()

int GRSTasn1SearchTaglist | ( | struct GRSTasn1TagList | taglist[],
|  | int | lasttag,
|  | char * | treecoords )

## GRSTasn1TimeToTimeT()

time_t GRSTasn1TimeToTimeT | ( | const unsigned char * | asn1time,
|  | size_t | len )

ASN1 time string (in a char *) to time_t.

(Use ASN1_STRING_data() to convert ASN1_GENERALIZEDTIME to char * if necessary)